---
 xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

## 38_arm_xpcom_optim.patch converted from dpatch file initially by Mike Hommey <glandium@debian.org>
#
# Patch from Antti P Miettinen to fix small optimization problem with
# newer gcc's on arm. bz#322806

Index: iceape-1.1.4/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp
===================================================================
--- iceape-1.1.4.orig/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp
+++ iceape-1.1.4/xpcom/reflect/xptcall/src/md/unix/xptcinvoke_arm.cpp
@@ -207,14 +207,14 @@
     "addle	sp, sp, r4	\n\t"	/*      and restore stack pointer	*/
     "movle	r4, #0		\n\t"	/*	a mark for restoring sp		*/
     "ldr	r0, [%1, #0]	\n\t"	/* get (self)				*/
     "mov	lr, pc		\n\t"	/* call mathod				*/
     "mov	pc, ip		\n\t"
     "add	sp, sp, r4	\n\t"	/* restore stack pointer		*/
     "mov	%0, r0		\n\t"	/* the result...			*/
     : "=r" (result)
-    : "r" (&my_params)
+    : "r" (&my_params), "m" (my_params)
     : "r0", "r1", "r2", "r3", "r4", "ip", "lr", "sp"
     );
     
   return result;
 }    
